org.flexdock.plaf.theme.skinlf

## Class SkinLFTitlebarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - org.flexdock.plaf.FlexViewComponentUI
    - - org.flexdock.plaf.theme.TitlebarUI
      - - org.flexdock.plaf.theme.skinlf.SkinLFTitlebarUI

All Implemented Interfaces:
  IFlexViewComponentUI, XMLConstants

    public class SkinLFTitlebarUI
    extends TitlebarUI

Author:
  Claudio Romano

### Field Summary

### Fields inherited from class org.flexdock.plaf.theme.TitlebarUI

`activeBackground, activeBorder, activeFont, antialiasing, ANTIALIASING, BACKGROUND_COLOR, BACKGROUND_COLOR_ACTIVE, BORDER, BORDER_ACTIVE, buttonMargin, DEFAULT_HEIGHT, defaultHeight, defaultIcons, font, FONT, FONT_COLOR, FONT_COLOR_ACTIVE, ICON_INSETS, iconInsets, inactiveBackground, inactiveBorder, inactiveFont, insets, INSETS, MINIMUM_HEIGHT, painter, PAINTER`

### Fields inherited from class org.flexdock.plaf.FlexViewComponentUI

`creationParameters`

### Fields inherited from interface org.flexdock.plaf.IFlexViewComponentUI

`ICON_RESOURCE`

### Fields inherited from interface org.flexdock.plaf.XMLConstants

`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

### Constructor Summary

Constructors
Constructor and Description
`SkinLFTitlebarUI()`

### Method Summary

Methods
`int` `getDefaultHeight()`
`protected void` `paintBackground(java.awt.Graphics g, Titlebar titlebar)`

### Methods inherited from class org.flexdock.plaf.theme.TitlebarUI

`configureAction, getAction, getActiveBackground, getActiveBorder, getActiveFont, getBackgroundColor, getBorder, getButtonMargin, getDefaultIcons, getFont, getFontColor, getIconInsets, getIconRect, getIcons, getIcons, getInactiveBackground, getInactiveBorder, getInactiveFont, getInsets, getLeftIconMargin, getPainter, getPaintRect, getPreferredButtonUI, getPreferredSize, getRightIconMargin, getTextLocation, initializeCreationParameters, installUI, isAntialiasing, layoutComponents, paint, paintBorder, paintIcon, paintTitle, setActiveBackground, setActiveBorder, setActiveFont, setAntialiasing, setButtonMargin, setDefaultHeight, setDefaultIcons, setDefaultIcons, setFont, setIconInsets, setInactiveBackground, setInactiveBorder, setInactiveFont, setInsets, setPainter, uninstallUI`

### Methods inherited from class org.flexdock.plaf.FlexViewComponentUI

`getCreationParameters, setCreationParameters`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SkinLFTitlebarUI

    public SkinLFTitlebarUI()

### Method Detail

#### paintBackground

    protected void paintBackground(java.awt.Graphics g,
                       Titlebar titlebar)

Overrides:
  `paintBackground` in class `TitlebarUI`

#### getDefaultHeight

    public int getDefaultHeight()

Overrides:
  `getDefaultHeight` in class `TitlebarUI`